Plugin-Kompatibilität zu CMSimple_XH 1.7

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
cmb
Posts: 12029
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Mon Aug 21, 2017 8:46 pm

kmsmei wrote:Die Datei habe ich entsprechend angepasst. Nur dann passiert Seltsames. Im Editor Bild einfügen, Quelle --> Dateimanager-Button. Es öffnet sich ein Overlay mit Ausgabe der ELFinder-Version in der Kopfzeile, im Fenster selbst eine komplette leere Seite inkl Menü, Kopf und Fußzeile und Ausgabe der Meldung "Keine Seite ausgewählt". Im Debug-Mode lediglich zwei Ausgaben von XH-DEPRECATED, die mit dem Plugin nichts zu tun haben.

Bist du danach noch eingeloggt? Und verwendest du auch den TinyMCE 4?
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

kmsmei
Posts: 73
Joined: Tue Nov 03, 2009 9:03 am

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby kmsmei » Tue Aug 22, 2017 5:48 pm

Lt. Einstellungen/Konfiguration: TinyMCE4, und ja, im Overlay bin ich noch eingeloggt.

cmb
Posts: 12029
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Wed Aug 23, 2017 1:03 pm

kmsmei wrote:Lt. Einstellungen/Konfiguration: TinyMCE4, und ja, im Overlay bin ich noch eingeloggt.

Ich habe die Anpassungen an elFinder_xh noch einmal überarbeitet und als zweiten Pull-Request eingestellt. Du kannst die diesen Stand auch komplett herunter laden. Dort ist allerdings der kleine Fix für die Pluginadministration nicht enthalten, aber das erscheint sowieso sekundär.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

kmsmei
Posts: 73
Joined: Tue Nov 03, 2009 9:03 am

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby kmsmei » Wed Aug 23, 2017 5:52 pm

Ein dickes Dankeschön - der elFinder in seiner ganzen Funktionalität unter XH 1.7 :D

cmb
Posts: 12029
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Thu Aug 24, 2017 1:09 pm

kmsmei wrote:Ein dickes Dankeschön - der elFinder in seiner ganzen Funktionalität unter XH 1.7 :D

Prima! Hoffentlich spielt Takashi diese (oder entsprechende) Änderungen bald ein. :)
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 463
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Sat Sep 02, 2017 6:39 pm

Hallo,

das Plugin gxlink verwende ich in einer CMSimple_XH 1.6.10 Installation mit PHP 5.6.31 (http://cmsimplexh.webdesign-keil.de/?CM ... tellung%29) ohne erkennbare Funktionale Einschrankungen auch wenn der Debug-Modus einige Meldungen liefert:

Code: Select all

NOTICE: A session had already been started - ignoring session_start()
.../plugins/gxlink/index.php:34


Code: Select all

NOTICE: A session had already been started - ignoring session_start()
.../plugins/gxlink/index.php:34
NOTICE: A session had already been started - ignoring session_start()
.../plugins/gxlink/admin.php:5
WARNING: extract() expects parameter 1 to be array, null given
.../plugins/gxlink/admin.php:9
WARNING: extract() expects parameter 1 to be array, null given
.../plugins/gxlink/admin.php:10
WARNING: extract() expects parameter 1 to be array, null given
.../plugins/gxlink/admin.php:11
WARNING: extract() expects parameter 1 to be array, null given
.../plugins/gxlink/admin.php:12
WARNING: extract() expects parameter 1 to be array, null given
.../plugins/gxlink/admin.php:13
NOTICE: Undefined index: admin
.../plugins/gxlink/admin.php:48
NOTICE: Undefined index: action
.../plugins/gxlink/admin.php:49
NOTICE: Undefined index: database
.../plugins/gxlink/admin.php:86
NOTICE: Undefined index: addcat
.../plugins/gxlink/admin.php:106
NOTICE: Undefined index: edcatid
.../plugins/gxlink/admin.php:110
NOTICE: Undefined index: edlink
.../plugins/gxlink/admin.php:114
NOTICE: Undefined index: checklink
.../plugins/gxlink/admin.php:118
NOTICE: Undefined index: checkAllLinks
.../plugins/gxlink/admin.php:122
NOTICE: Undefined index: app
.../plugins/gxlink/admin.php:126
NOTICE: Undefined index: linkstatus
.../plugins/gxlink/admin.php:130
NOTICE: Undefined index: delcat
.../plugins/gxlink/admin.php:134
NOTICE: Undefined index: delink
.../plugins/gxlink/admin.php:138
NOTICE: Undefined index: edThisLink
.../plugins/gxlink/admin.php:142
NOTICE: Undefined index: url
.../plugins/gxlink/admin.php:146
NOTICE: Undefined index: name
.../plugins/gxlink/admin.php:150
NOTICE: Undefined index: categ
.../plugins/gxlink/admin.php:154
NOTICE: Undefined index: appAll
.../plugins/gxlink/admin.php:158
NOTICE: Undefined index: catnr
.../plugins/gxlink/admin.php:162
NOTICE: Undefined index: catname
.../plugins/gxlink/admin.php:166
NOTICE: Undefined index: catdesc
.../plugins/gxlink/admin.php:171
NOTICE: Undefined index: oldcat
.../plugins/gxlink/admin.php:176
NOTICE: Undefined index: descr
.../plugins/gxlink/admin.php:180
NOTICE: Undefined index: country
.../plugins/gxlink/admin.php:184


Beim Kompabilitätstest unter CMSimple_XH 1.7.0 und PHP 7.x werden einige Fehler aufgelistet.
Wird das Plugin unter Portable_XH-2.0rc1 (CMSimple_XH 1.7.0 und PHP 7.2.0RC1) ins Plugin Verzeichnis kopiert, der Debug-Modus aktiviert und im Adminmenü Plugin -> Gxlink angeklickt, ist die Gxlink Startseite nicht sichtbar.
Der Debug-Modus meldet:

Code: Select all

NOTICE: session_start(): A session had already been started - ignoring
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\gxlink\index.php:34
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; ResultSetParser has a deprecated constructor
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\gxlink\txt-db-api\resultset.php:1564
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; StringParser has a deprecated constructor
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\gxlink\txt-db-api\stringparser.php:48
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; Database has a deprecated constructor
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\gxlink\txt-db-api\database.php:39
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; SqlParser has a deprecated constructor
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\gxlink\txt-db-api\sql.php:57
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; SqlQuery has a deprecated constructor
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\gxlink\txt-db-api\sql.php:860
DEPRECATED: Methods with the same name as their class will not be constructors in a future version of PHP; Expression has a deprecated constructor
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\gxlink\txt-db-api\expression.php:103


Nach dem Einbinden des Plugin Aufrufes im Content ({{{GXLink();}}}), speichern und aktuallisieren erscheint die Meldung:

Code: Select all

Fatal error: Uncaught ArgumentCountError: Too few arguments to function GXLink(), 0 passed in ...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\cmsimple\functions.php(248) : eval()'d code on line 1 and exactly 2 expected in ...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\gxlink\index.php:43 Stack trace: #0 ...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\cmsimple\functions.php(248) : eval()'d code(1): GXLink() #1 ...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\cmsimple\functions.php(248): eval() #2 ...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\cmsimple\functions.php(208): XH_evaluateSinglePluginCall('GXLink()') #3 ...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\cmsimple\functions.php(305): evaluate_plugincall('<!--XH_ml1:Cont...') #4 ...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\cmsimple\cms.php(1295): evaluate_scripting('<!--XH_ml1:C in ...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\gxlink\index.php on line 43


Das sieht "unterm Strich" nach ein wenig Anpassungsbedarf für das Plugin Gxlink aus.

Viele Grüße
Hartmut

cmb
Posts: 12029
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Sat Sep 02, 2017 8:18 pm

Hartmut wrote:Das sieht "unterm Strich" nach ein wenig Anpassungsbedarf für das Plugin Gxlink aus.

Viel ist schon erledigt, aber ein paar Dinge sind noch zu tun. Ich hoffe, dass ich das zeitnah umsetzen kann, wäre aber über Hilfe froh. :)
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 463
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Sun Sep 03, 2017 6:33 pm

Hallo,

hier ein kurzer Test der Plugins "extedit 1.1", "Memberpages_XH 3.6.2" und "simplePDF pr1.1" in einer jungfräulichen Portable 2.0rc1 (CMSimple_XH 1.7.0 und PHP 7.2.0RC1) Installation.

Ergebnis (Kurzfassung): Das Plugin "extedit 1.1" funktionierte in diesem Test fehlerfrei.
Das Plugin "Memberpages_XH 3.6.2" funktionierte in diesem Test fehlerfrei, allerdings sollte bei einer künftigen Version der Hinweis "deprecated" berücksichtigt werden.
Das Plugin "simplePDF pr1.1" kann in Admin-Menü fehlerfrei geändert und gespeichert werden, allerdings gibt es bei der Aufbereitung der PDF-Ansicht einen Timeout Error.

Detailinformationen:

In der Portable 2.0rc1 Installation wurde das Plugin extedit ohne Memberpages bzw. register installiert.
Im Admin-Modus wird beim Plugin Extedit - "System check" die Meldung Achtung: "Extension 'fileinfo' loaded" angezeigt, die auch nach dessen Konfiguration und während des ganzen Tests vorhanden ist.

Das Plugin menberpages 3.6.2 in die "Portable 2.0rc1" Installation kopiert und im Admin-Bereich angemeldet.
Der Debug-Modus meldet:

Code: Select all

XH-DEPRECATED: Function initvar() is deprecated
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\memberpages\index.php:131
XH-DEPRECATED: Function initvar() is deprecated
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\memberpages\index.php:136
NOTICE: Undefined index: memberpages
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\cmsimple\classes\PluginConfig.php:84


Nach der Aktivierung von Memberpages meldet der Debug-Modus:

Code: Select all

XH-DEPRECATED: Function initvar() is deprecated
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\memberpages\index.php:131
XH-DEPRECATED: Function initvar() is deprecated
...\Plugin_Portable_XH-2.0rc1\Portable_XH\www\plugins\memberpages\index.php:136


In Memberpages wurde der user "Hartmut" angelegt und gespeichert.
Den Aufruf für "Memberpages login" wurde im Content eingebunden.
Der Debug-Modus meldet die gleichen Fehler wie nach der Aktivierung von Memberpages.

Auf der Seite "Content" wurde der Aufruf "{{{extedit('Hartmut', 'Sandienst20xxxxx');}}}" eingebunden und gespeichert.
Die Datei 'Sandienst20xxxxx' ins Verzeichnis ...\content\extedit kopiert.

Wenn sich der user "Hartmut" erfolgreich angemeldet hat, kann er die Datei "Sandienst20xxxxx" ansehen, ändern und speichern.

Das Plugin "simplePDF pr1.1" wurde in die bestehende Portable 2.0rc1 Installation (Verzeichnis Plugins) kopiert.
Im Admin-Modus kann die Konfiguration fehlerfrei geändert und gespeichert werden.
Der Plugin Aufruf ({{{plugin:simplePdfLink();}}}) wird in die Seite "Content" eingebunden und gespeichert.
Nach dem "Create PDF" angeklickt wurde, erscheint die Browser Sanduhr und nach einiger Zeit die Fehlermeldung:
Fatal error: Maximum execution time of 30 seconds exceeded in E:\Download\CMSimple_XH\Plugins\Plugin_Portable_XH-2.0rc1\Portable_XH\www\cmsimple\functions.php on line 1254.
Der Debug-Modus liefert für das Plugin "simplePDF pr1.1" keine Fehlermeldung.
Wenn der Plugin Aufruf auf einer Seite mit wenig Text (Newsbox News01) eingebaut wird, erscheint die gleiche Fehlermeldung.

Viele Grüße
Hartmut

cmb
Posts: 12029
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Sun Sep 03, 2017 9:32 pm

Hartmut wrote:hier ein kurzer Test der Plugins "extedit 1.1", "Memberpages_XH 3.6.2" und "simplePDF pr1.1" in einer jungfräulichen Portable 2.0rc1 (CMSimple_XH 1.7.0 und PHP 7.2.0RC1) Installation.

Danke für die wirklich guten Testreports! :)

Hartmut wrote:Im Admin-Modus wird beim Plugin Extedit - "System check" die Meldung Achtung: "Extension 'fileinfo' loaded" angezeigt, die auch nach dessen Konfiguration und während des ganzen Tests vorhanden ist.

Das liegt daran, dass Portable_XH die Fileinfo Extension nicht enthält. Ich hatte in Erwägung gezogen, Fileinfo zu integrieren, aber mich wegen der Größe (~2 MB) und weil sie eigentlich kaum gebraucht wird, dagegen entschieden. Bei Extedit_XH 1.1 wird die Extension nur beim Fileupload im Imagepicker verwendet, und ich bin nicht wirklich davon überzeugt, dass sie dort auch benötigt wird. Lädt jemand eine Datei mit einer erlaubten Dateiendung als Bild hoch, dann wird durch Fileinfo zusätzlich geprüft, ob es sich auch um ein Bild handelt. Falls nicht, dann sehe ich dennoch kein direktes Problem. Ich denk noch mal drüber nach.

Ansonsten kann man auch einfach eine passende PHP-Original-Distribution (für Portable_XH 2.0rc1 ist das "VC15 x64 Non Thread Safe" von http://windows.php.net/qa/) herunter laden, php_fileinfo.dll nach php/ext/ kopieren, und in php/php.ini den vorhandenen Eintrag ;extension=fileinfo auskommentieren (also den Strichpunkt am Zeilenanfang löschen).

Hartmut wrote:Das Plugin "Memberpages_XH 3.6.2" funktionierte in diesem Test fehlerfrei, allerdings sollte bei einer künftigen Version der Hinweis "deprecated" berücksichtigt werden.

Aktuell ist Memberpages_XH 3.6.4, und dort wurde das wohl bereits umgesetzt.

Hartmut wrote:Das Plugin "simplePDF pr1.1" kann in Admin-Menü fehlerfrei geändert und gespeichert werden, allerdings gibt es bei der Aufbereitung der PDF-Ansicht einen Timeout Error.

Das liegt vermutlich an Portable_XH, welches nicht in der Lage ist, während eines Requests einen weiteren vom Server ausgelösten Request abzuarbeiten. Um diese Beschränkung aufzuheben, müsste entweder der eingebaute Webserver von PHP entsprechend erweitert werden, oder Portable_XH müsste einen anderen Webserver ausliefern. Letzteres habe ich allerdings verworfen, und ob ersteres irgendwann mal passiert, ist leider fraglich.

Da bleibt nur, dass dies ausdrücklich als Beschränkung dokumentiert wird, und dass Plugins solche "verschachtelten Requests" nur vornehmen sollten, falls es wirklich nötig ist.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 463
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Mon Sep 04, 2017 6:35 am

cmb wrote:
Hartmut wrote:hier ein kurzer Test der Plugins "extedit 1.1", "Memberpages_XH 3.6.2" und "simplePDF pr1.1" in einer jungfräulichen Portable 2.0rc1 (CMSimple_XH 1.7.0 und PHP 7.2.0RC1) Installation.

Danke für die wirklich guten Testreports! :)

Gern geschehen, denn nur so sind die Tests aus meiner Sicht auch gut nachvollziehbar.

cmb wrote:
Hartmut wrote:Das Plugin "Memberpages_XH 3.6.2" funktionierte in diesem Test fehlerfrei, allerdings sollte bei einer künftigen Version der Hinweis "deprecated" berücksichtigt werden.

Aktuell ist Memberpages_XH 3.6.4, und dort wurde das wohl bereits umgesetzt.

Oh, ich hatte nicht mitbekommen, das es schon Version 3.6.4 gibt und folglich ging ich von meiner Online Plugin Dokumentation (3.6.2) aus.
Bei Svasti wird die Memberpages_XH 3.6.1 zum Download angeboten, auf Github hatte ich nicht nach der aktuellsten Version gesucht und hier im Forum war mir beim Monitoring neuer Einträge (und vorhin in der Onlinesuche) kein Eintrag aufgefallen das 3.6.4 veröffentlicht worden ist.

cmb wrote:
Hartmut wrote:Das Plugin "simplePDF pr1.1" kann in Admin-Menü fehlerfrei geändert und gespeichert werden, allerdings gibt es bei der Aufbereitung der PDF-Ansicht einen Timeout Error.

Das liegt vermutlich an Portable_XH, welches nicht in der Lage ist, während eines Requests einen weiteren vom Server ausgelösten Request abzuarbeiten. Um diese Beschränkung aufzuheben, müsste entweder der eingebaute Webserver von PHP entsprechend erweitert werden, oder Portable_XH müsste einen anderen Webserver ausliefern. Letzteres habe ich allerdings verworfen, und ob ersteres irgendwann mal passiert, ist leider fraglich.

Da bleibt nur, dass dies ausdrücklich als Beschränkung dokumentiert wird, und dass Plugins solche "verschachtelten Requests" nur vornehmen sollten, falls es wirklich nötig ist.

Einen entsprechenden Hinweis in der Doku halte ich für hilfreich. Es löst zwar nicht das eigentliche Problem, aber der Anwender wird zumindest darauf hingewiesen (falls er die Doku lesen sollte).

Viele Grüße
Hartmut


Return to “Deutsch”

Who is online

Users browsing this forum: No registered users and 2 guests